*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
.flex{
    display: flex;
}
body{
    background-color: #FFFFF4;
    font-family: 'Roboto', sans-serif;
    color: #0A0402;
    font-style: regular;
    font-size: clamp(13px, 10vw, 18px);
    line-height: 1.3;
    /* convention du web : séparer paragraphes de 1.3 */
}
img{
    /* garder ratio d'une image  */
    object-fit: cover;
    display: block;
    max-width: 100%;
}
div{
    height: auto;
}
button{
    border-radius: 5px;
    border: 1px solid #fcbc25;
    background-color: #FFEEC6;
    padding: .4% 3% .4% 3%;
    /* padding: top right bottom left*/
    transition: background-color .5s;
    font-family: 'Roboto', sans-serif;
    color: #0A0402;
    font-size: clamp(13px, 10vw, 18px);
    line-height: 30px;
    font-weight: 500;
    justify-content: center;
    align-items: center;
}
button:hover {
    color: #fcbc25;
    background-color: #0F414F;
    border: 1px solid #0F414F;
}
button a:hover{
    color: #fcbc25 !important;
}
p{
    font-size: clamp(13px, 10vw, 18px);
}
h1, h2, h3, h4, h5{
    /* font-family: 'Libre Baskerville', serif; */
    font-family: 'Italiana', serif;
    font-weight: 700;
}
h1{
    font-size: clamp(40px, 10vw, 50px);
}
h2{
    font-size: clamp(32px, 10vw, 42px);
}
h3{
    font-size: clamp(26px, 10vw, 36px);
}
h4{
    font-size: clamp(20px, 10vw, 30px);
}
h5{
    font-size: clamp(15px, 10vw, 21px);
}
a{
    font-size: clamp(11px, 10vw, 16px);
}
footer a{
    text-decoration: none;
    color: #0F414F;
    margin-top: 8%;
    transition: color .5s;
}
/* HEADER */
/* NAV */
nav{
    min-width: 100vw;
    min-height: 10vh;
    background-color: #0F414F;
    justify-content: space-between;
}
nav .logo{
    margin-left: 10%;
}
.menulinks{
    justify-content: space-around;
    align-items: center;
    gap: 40%;
    margin-right: 15%;
}
nav a{
    text-decoration: none;
    color: cornsilk;
    margin-left: 5%;
    transition: color .5s;
}
a:hover {
    color: #fcbc25;
  }
#title{
    min-height: 16vh;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    margin-top: 10vh;
    margin-bottom: 7vh;
}

/* ABOUT */
#about{
    min-width: 100vw;
    justify-content: space-between;
    margin-bottom: 10vh;
}
#about article{
    flex-direction: column;
    justify-content: center; 
    padding: 2% 10% 0% 5%;
    /* padding: top right bottom left*/
}
#about img{
    min-width: 100%;
}
#about aside{
    min-width: 40%;
    padding-top: 4%;
}
#about p{
    color: grey;
    margin-bottom: 5%;
    margin-top: 3%;
}

/* NEWSLETTER */
#newsletter{
    min-height: 25vh;
    background-color: #F0F0ED;
    justify-content: space-between;
    align-items: center;
    padding-left: 5%;
    padding-right: 5%;
}
#newsletter a{
    font-size: clamp(12px, 10vw, 17px);
    text-decoration: none;
    color: #0A0402;
    transition: color .5s;
}
#newsletter a:hover {
    color: #fcbc25;
}

/* SIGNATURE */
#signature{
    min-width: 100vw;
    margin-top: 10vh;
    margin-bottom: 10vh;
    padding: 0% 5% 0% 5%;
    /* padding: top right bottom left*/
}
#signature img{
    border-radius: 50%;
    max-width: 40%;
}
#signature img .macarons{
    max-width: 10%;
}
#signature h4{
    margin-top: 4%;
}
#signature p{
    color: grey;
    font-size: clamp(13px, 10vw, 18px);
    margin-top: 4%;
    margin-bottom: 6%; 
}
#signature a{
    text-decoration: none;
    font-family: 'Roboto', sans-serif;
    color: #0A0402;
}
#signature a:hover {
    color: #fcbc25;
}
.signaturebox{
    flex-direction: column;
    justify-content: center; 
    padding: 3% 5% 0% 0%;
    /* padding: top right bottom left*/
}

/* TESTIMONIAL */
#testimonial{
    background-color: #F0F0ED;
    min-width: 100vw;
    min-height: 70vh;
    margin-top: 10vh;
    margin-bottom: 10vh;
    padding: 5% 5% 5% 5%;
    /* padding: top right bottom left*/
}
#testimonial .container{
    justify-content: space-around;
    align-items: center;
}
#testimonial aside{
    max-width: 48%;
}
#testimonial article{
    max-width: 42%;
    flex-direction: column;
    justify-content: center; 
}
#testimonial p{
    margin-top: 4%;
}
.name{
    justify-content: flex-end;
}

/* FOOTER */
footer{
    padding-left: 5%;
    padding-right: 5%;
}
button a{
    color: #0A0402 !important;
}
footer a{
    text-decoration: none;
    color: #0F414F;
    margin-top: 8%;
    transition: color .5s;
}
footer p{
    font-size: clamp(11px, 10vw, 16px);
}
.linkedin{
    max-width: 20%;
}
.twitter{
    max-width: 20%;
}
footer{
    display: grid;
    grid-gap: 1%;
    min-width: 100vw;
	min-height: 40vh;
    grid-row-gap: 2px #0A0402;
	grid-template-columns: repeat(6, 1fr);
	grid-template-rows: 1fr 1% 1fr;
    grid-template-areas:    
    "logo logo . collections bakery button"
    "line line line line line line"
    "copyright copyright copyright . . socialmedia";
}
.logo{
	grid-area: logo;
    align-self: flex-start;
}
.collections{
	grid-area: collections;
    display: flex;
    flex-direction: column;
}
.bakery{
    grid-area: bakery;
    display: flex;
    flex-direction: column;
}
.button{
    grid-area: button;
    align-self: flex-start;
}
.copyright{
    grid-area: copyright;
    align-self: center;
}
.socialmedia{
    grid-area: socialmedia;
    align-self: center;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.line{
    grid-area: line;
    background-color: grey;
}

/* MEDIA QUERIES */
@media (max-width: 500px){
	/*  HEADER */
    header{
        height: auto;
    }
    nav .logo{
        margin-left: 5%;
    }
    #title{
        text-align: center;
        padding: 0 12% 0 12%;
        /* padding: top right bottom left*/
    }
    h1{
        margin-bottom: 5%;
        line-height: 1;
    }
    #title p{
        line-height: 1.5;
    }

    /*  ABOUT */
    #about{
        height: auto;
        flex-direction: column;
        padding: 8% 6% 6% 6%;
        /* padding: top right bottom left*/
    }
    #about img{
        padding: 6% 5% 5% 5%;
    }
    
    /*  NEWSLETTER */
    #newsletter{
        height: auto;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin: auto;
        padding: 5% 10% 5% 10%;
        /* padding: top right bottom left*/
    }
    .links{
        flex-direction: column;
        align-items: flex-start;
    }
    #newsletter button{
        display: flex;
        flex-wrap: wrap;
        background-color: #F0F0ED;
    }
    button{
        background-color: #FFFFF4;
    }
    /*  SIGNATURE */
    #signature{
        height: auto;
        padding: 7% 6% 6% 6%;
        /* padding: top right bottom left*/
    }
    #signature .container{
        flex-direction: column;
    }
    .signaturebox{
        padding-top: 10%;
    }
    
    /* TESTIMONIAL */
    #testimonial{
        height: auto;
        min-width: 100%;
    }
    #testimonial .container{
        flex-direction: column;
        padding: 12% 0% 10% 0%;
        /* padding: top right bottom left*/
    }
    #testimonial aside{
        min-width: 80%;
        padding-top: 7%;
    }
    #testimonial article{
        min-width: 80%;
    }

    /* FOOTER */
    footer{
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr 1fr 10% 1% 1fr;
        grid-template-areas:    
        "logo logo . ."
        "collections bakery button button"
        ". . . ."
        "line line line line"
        "copyright copyright socialmedia socialmedia";
    }
}
@media (min-width: 500px) and (max-width: 750px){
	/*  HEADER */
    header{
        height: auto;
    }
    nav .logo{
        margin-left: 5%;
    }
    #title{
        text-align: center;
        padding: 0 12% 0 12%;
        /* padding: top right bottom left*/
    }
    h1{
        margin-bottom: 5%;
        line-height: 1;
    }
    #title p{
        line-height: 1.5;
    }

    /*  ABOUT */
    #about{
        height: auto;
        flex-direction: column;
        padding: 8% 6% 6% 6%;
        /* padding: top right bottom left*/
    }
    #about img{
        padding: 6% 5% 5% 5%;
    }
    
    /*  NEWSLETTER */
    #newsletter{
        height: auto;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin: auto;
        padding: 5% 10% 5% 10%;
        /* padding: top right bottom left*/
    }
    .links{
        flex-direction: column;
        align-items: flex-start;
    }
    #newsletter button{
        display: flex;
        flex-wrap: wrap;
        background-color: #F0F0ED;
    }
    button{
        background-color: #FFFFF4;
    }

    /*  SIGNATURE */
    #signature{
        height: auto;
        padding: 7% 6% 6% 6%;
        /* padding: top right bottom left*/
    }
    #signature .container{
        flex-direction: column;
    }
    .signaturebox{
        padding-top: 10%;
    }
    
    /* TESTIMONIAL */
    #testimonial{
        height: auto;
        min-width: 100%;
    }
    #testimonial .container{
        flex-direction: column;
        padding: 12% 0% 10% 0%;
        /* padding: top right bottom left*/
    }
    #testimonial aside{
        min-width: 80%;
        padding-top: 7%;
        /* padding: 6% 5% 5% 5%; */
    }
    #testimonial article{
        min-width: 80%;
    }
    
    /* FOOTER */    
    footer{
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: 1fr 1% 1fr;
        grid-template-areas:    
        "logo logo collections bakery button button"
        "line line line line line line"
        "copyright copyright copyright . socialmedia socialmedia";
    }
}
